%define upstream_name    Catalyst-Controller-HTML-FormFu
%define upstream_version 1.00

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Hidden text field which contains a unique token
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Catalyst-Controller-HTML-FormFu-1.00-fix-yaml-error.patch

BuildRequires: perl(Catalyst::Action::RenderView)
BuildRequires: perl(Catalyst::Component::InstancePerContext)
BuildRequires: perl(Catalyst::Plugin::ConfigLoader) >= 0.230.0
BuildRequires: perl(Catalyst::Plugin::Session)
BuildRequires: perl(Catalyst::Plugin::Session::State::Cookie)
BuildRequires: perl(Catalyst::Plugin::Session::Store::File)
BuildRequires: perl(Catalyst::Runtime) >= 5.710.10
BuildRequires: perl(Catalyst::View::TT)
BuildRequires: perl(Config::Any)
BuildRequires: perl(Config::General)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTML::FormFu) >= 0.90.70
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Attribute::Chained)
BuildRequires: perl(Regexp::Assemble)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Template)
BuildRequires: perl(Test::Aggregate::Nested)
BuildRequires: perl(Test::More) >= 0.920.0
BuildRequires: perl(Test::WWW::Mechanize) >= 1.160.0
BuildRequires: perl(Test::WWW::Mechanize::Catalyst)
BuildRequires: perl(namespace::autoclean)
BuildArch:  noarch

Requires:   perl(Catalyst::Component::InstancePerContext)
%description
As of version 0.02000, the HTML::FormFu manpage doesn't use the TT template
files by default - it uses in internal rendering engine.

If you don't want to customise the generated markup, you don't need to use
the Catalyst::Helper::HTML::FormFu manpage at all.

If you want to customise the generated markup, you'll need a local copy of
the template files. To create the files in the default 'root/formfu'
directory, run:

%prep
%setup -n %{upstream_name}-%{upstream_version}
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.0.0-6pclos2017
- rebuild against updates

